<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">${_('Default Settings For New Repositories')}</h3>
    </div>
    <div class="panel-body">
        ${h.secure_form(url('admin_defaults_repositories'), method='post')}
        <div class="form">
            <!-- fields -->

            <div class="fields">

                <div class="field">
                    <div class="label">
                        <label for="default_repo_type">${_('Type')}:</label>
                    </div>
                    <div class="select">
                        ${h.select('default_repo_type','hg',c.backends,class_="medium")}
                    </div>
                </div>

                <div class="field">
                    <div class="label label-checkbox">
                        <label for="default_repo_private">${_('Private Repository')}:</label>
                    </div>
                    <div class="checkboxes">
                        ${h.checkbox('default_repo_private',value="True")}
                        <span class="help-block">${_('Private repositories are only visible to people explicitly added as collaborators.')}</span>
                    </div>
                </div>


                <div class="field">
                    <div class="label label-checkbox">
                        <label for="default_repo_enable_statistics">${_('Enable Statistics')}:</label>
                    </div>
                    <div class="checkboxes">
                        ${h.checkbox('default_repo_enable_statistics',value="True")}
                        <span class="help-block">${_('Enable a statistics window on the repository summary page.')}</span>
                    </div>
                </div>

                <div class="field">
                    <div class="label label-checkbox">
                        <label for="default_repo_enable_downloads">${_('Enable Downloads')}:</label>
                    </div>
                    <div class="checkboxes">
                        ${h.checkbox('default_repo_enable_downloads',value="True")}
                        <span class="help-block">${_('Enable the download option on the repository summary page.')}</span>
                    </div>
                </div>

                <div class="field">
                    <div class="label label-checkbox">
                        <label for="default_repo_enable_locking">${_('Enable Locking')}:</label>
                    </div>
                    <div class="checkboxes">
                        ${h.checkbox('default_repo_enable_locking',value="True")}
                        <span class="help-block">${_('Enable automatic repository locking. Pulling from a repository will lock it, and it is unlocked by pushing back by the same user.')}</span>
                    </div>
                </div>

                <div class="buttons">
                ${h.submit('save',_('Save'),class_="btn")}
                </div>
            </div>
        </div>
        ${h.end_form()}
    </div>

</div>

<script>
    $(document).ready(function(){
        $("#default_repo_type").select2({
            containerCssClass: 'drop-menu',
            dropdownCssClass: 'drop-menu-dropdown',
            dropdownAutoWidth: true,
            minimumResultsForSearch: -1
        });
    })
</script>
